#ifndef MYWINHEADER_H
#define MYWINHEADER_H

#include <QLabel>
#include <QObject>
#include <QEvent>
#include <QMouseEvent>
#include <QDebug>

class MyWinHeader : public QLabel
{
    Q_OBJECT
public:
    MyWinHeader(QWidget *parent = nullptr);
private:
    void mousePressEvent(QMouseEvent *event);
    void mouseReleaseEvent(QMouseEvent *event);
    void mouseMoveEvent(QMouseEvent *event);

    int mouseX, mouseY, winX, winY;
    bool isMousePressed = false;
};

#endif // MYWINHEADER_H
